createrepo_c library 1.2.1 C library for metadata manipulation

Data Fields
cr_RepomdRecord Struct Reference
Repomd API.

`#include <repomd.h>`

## Data Fields
char * | type
char * | location_real
char * | location_href
char * | location_base
char * | checksum
char * | checksum_type
char * | checksum_open
char * | checksum_open_type
char * | checksum_header
char * | checksum_header_type
gint64 | timestamp
gint64 | size
gint64 | size_open
gint64 | size_header
int | db_ver
GStringChunk * | chunk

## Detailed Description

Internal representation of cr_RepomdRecord object

Definition at line 74 of file repomd.h.

## Field Documentation

## ◆ checksum

char* checksum

checksum of file

Definition at line 79 of file repomd.h.

## ◆ checksum_header

char* checksum_header

checksum of header

Definition at line 83 of file repomd.h.

## ◆ checksum_header_type

char* checksum_header_type

checksum type of header

Definition at line 84 of file repomd.h.

## ◆ checksum_open

char* checksum_open

checksum of uncompressed file

Definition at line 81 of file repomd.h.

## ◆ checksum_open_type

char* checksum_open_type

checksum type of uncompressed file

Definition at line 82 of file repomd.h.

## ◆ checksum_type

char* checksum_type

checksum type

Definition at line 80 of file repomd.h.

## ◆ chunk

GStringChunk* chunk

String chunk

Definition at line 91 of file repomd.h.

## ◆ db_ver

int db_ver

version of database

Definition at line 89 of file repomd.h.

## ◆ location_base

char* location_base

base location of the file

Definition at line 78 of file repomd.h.

## ◆ location_href

char* location_href

location of the file (in repomd.xml)

Definition at line 77 of file repomd.h.

## ◆ location_real

char* location_real

real path to the file

Definition at line 76 of file repomd.h.

## ◆ size

gint64 size

size of file in bytes

Definition at line 86 of file repomd.h.

## ◆ size_header

gint64 size_header

header size

Definition at line 88 of file repomd.h.

## ◆ size_open

gint64 size_open

size of uncompressed file in bytes

Definition at line 87 of file repomd.h.

## ◆ timestamp

gint64 timestamp

mtime of the file

Definition at line 85 of file repomd.h.

## ◆ type

char* type

type of record

Definition at line 75 of file repomd.h.

The documentation for this struct was generated from the following file:

- E:/rpmbuild/BUILD/createrepo_c-os2-1.2.1-os2/src/repomd.h